#
# spec file for package python3-olefile
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-olefile
Version:        0.44
Release:        1.2
Summary:        Read and write Microsoft OLE2 files
License:        BSD-2-Clause and HPND
Group:          Development/Languages/Python
Url:            https://www.decalage.info/python/olefileio
Source:         https://files.pythonhosted.org/packages/source/o/olefile/olefile-%{version}.zip
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  unzip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Olefile is a Python package to parse, read and write Microsoft OLE2
files (also called Structured Storage, Compound File Binary Format or
Compound Document File Format), such as Microsoft Office 97-2003
documents, vbaProject.bin in MS Office 2007+ files, Image Composer and
FlashPix files, Outlook messages, StickyNotes, several Microscopy file
formats, McAfee antivirus quarantine files, etc.

%prep
%setup -q -n olefile-%{version}
# Fix wrong-file-end-of-line-encoding
sed -i 's/\r$//' doc/License.rst

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.md doc/License.rst
%{python3_sitelib}/*

%changelog
* Mon Feb  6 2017 toddrme2178@gmail.com
- Fix license
* Sat Jan  7 2017 arun@gmx.de
- initial version
